@tailwind base;
@tailwind components;
@tailwind utilities;

// Sidebar navigation
#sidebar nav {
  ul {
    @apply text-slate-500 font-medium;
  }

  li {
    @apply mb-2;
  }

  a {
    @apply flex items-center px-3 py-2.5 rounded-md hover:text-slate-900 hover:bg-sky-100;

    &:hover svg {
      @apply text-sky-500;
    }
  }

  svg {
    @apply w-6 h-6 shrink-0 mr-3 text-slate-400;
  }

  .active a {
    @apply text-slate-900 bg-sky-100;

    svg {
      @apply text-sky-500;
    }
  }
}

// Main content
#main {
  @apply col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50;
}

// Different theme color for municipality Zonnendaal
.theme-gemeente-zonnendaal {
  #sidebar nav {
    a {
      @apply hover:bg-amber-100;

      &:hover svg {
        @apply text-amber-500;
      }
    }

    .active a {
      @apply bg-amber-100;
  
      svg {
        @apply text-amber-500;
      }
    }
  }

  #main {
    @apply bg-stone-50;
  }
}
